Commit d4082026 authored by Janek Bevendorff's avatar Janek Bevendorff

Redirect all status output to stderr

parent 2898a689
......@@ -76,7 +76,7 @@ pull_repository() {
fi
logInfo "Updating Git repository..."
if ! (cd "$1" && git pull); then
if ! (cd "$1" && git pull >&2); then
logError "Git update failed!"
exit 1
fi
......@@ -85,7 +85,7 @@ pull_repository() {
# Usage: commit_changes BASE_DIR
commit_changes() {
logInfo "Committing changes to Git..."
if (cd "$1" && git add -A && git commit -m "-"); then
if (cd "$1" && git add -A && git commit -m "-" >&2); then
logInfo "Changes committed. Please push the repository now (git push)."
else
logError "Committing changes failed!"
......@@ -101,7 +101,7 @@ mount_cryfs() {
logInfo "Mounting CryFS..."
mkdir -p "$2"
if ! cryfs "$1" "$2"; then
if ! cryfs "$1" "$2" >&2; then
logError "Failed to mount CryFS volume!"
cleanup "$2"
exit 1
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment